Skip to main content
PATCH
/
v1alpha1
/
inference
/
capacityclaims
/
{id}
Update a capacity claim
curl --request PATCH \
  --url https://api.example.com/v1alpha1/inference/capacityclaims/{id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "<string>",
  "resources": {
    "instanceId": "<string>",
    "instanceCount": 123,
    "capacityType": 123,
    "zones": [
      "<string>"
    ]
  }
}
'
{
  "capacityClaim": {
    "spec": {
      "id": "<string>",
      "name": "<string>",
      "resources": {
        "instanceId": "<string>",
        "instanceCount": 123,
        "capacityType": 123,
        "zones": [
          "<string>"
        ]
      },
      "organizationId": "<string>"
    },
    "status": {
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "status": 123,
      "conditions": [
        {
          "type": "<string>",
          "status": 123,
          "lastUpdateTime": "2023-11-07T05:31:56Z",
          "reason": "<string>",
          "message": "<string>",
          "zone": "<string>"
        }
      ],
      "allocatedInstances": 123,
      "pendingInstances": 123
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.coreweave.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string
required

The unique identifier of the CapacityClaim to update, UUID format

Body

application/json

Request to update a CapacityClaim

id
string
required

The unique identifier of the CapacityClaim to update, UUID format

resources
object
required

The specification for the resources to reserve

Response

OK

Response for UpdateCapacityClaim

capacityClaim
object

The updated CapacityClaim

Last modified on May 6, 2026